# Ivanovna ORM

Простая ОРМ для простейших задач.

Позволяет задать модели для таблиц или коллекций и предоставляет менеджер сущностей для манипуляций с ними.

## Тестирование

```shell
npm test
```

## Процедура обновления версии

В сообщении к комитам используем формат записи [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) 

Пример(!) процедуры фиксации изменений и обновлении версии:
```shell
npm run precommit
git add .
git commit -m'fix: исправил баг'
# что-то еще делаем
npm run precommit
git add .
git commit -m'feat: запилил новую фичу'
```

После того как все изменения зафиксированы, делаем:
```shell
npm run release
git push --follow-tags origin master
```


# Примеры использования

TODO